This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 869504 - Review Request: mimepull - Streaming API to access attachments from a MIME message
Review Request: mimepull - Streaming API to access attachments from a MIME me...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
: 861610 (view as bug list)
Depends On:
Blocks: 825347 870977
  Show dependency treegraph
 
Reported: 2012-10-24 02:06 EDT by Marek Goldmann
Modified: 2013-07-05 04:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 04:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
mgoldman: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-10-24 02:06:37 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/mimepull/1.8-1/mimepull.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/mimepull/1.8-1/mimepull-1.8-1.fc17.src.rpm
Fedora Account System Username: goldmann
Description: 

Provides a streaming API to access attachments parts in a MIME message

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4620580
Comment 1 gil cattaneo 2012-10-24 02:50:46 EDT
hi
duplicated of https://bugzilla.redhat.com/show_bug.cgi?id=861610
Comment 3 gil cattaneo 2012-10-24 03:28:01 EDT
hi i'll take this review
Comment 4 gil cattaneo 2012-10-24 03:53:45 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/gil/869504-mimepull/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Java:
[x]: If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mimepull-1.8-2.fc19.src.rpm
          mimepull-1.8-2.fc19.noarch.rpm
          mimepull-javadoc-1.8-2.fc19.noarch.rpm
mimepull.src: W: invalid-url Source0: mimepull-1.8.tar.xz
mimepull-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mimepull-javadoc mimepull
mimepull-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



APPROVED
Comment 5 gil cattaneo 2012-10-24 03:55:18 EDT
*** Bug 861610 has been marked as a duplicate of this bug. ***
Comment 6 Marek Goldmann 2012-10-24 03:56:26 EDT
Thanks!

New Package SCM Request
=======================
Package Name: mimepull
Short Description: Streaming API to access attachments from a MIME message
Owners: goldmann
Branches: f17 f18
Comment 7 Gwyn Ciesla 2012-10-24 07:03:17 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-24 08:37:02 EDT
mimepull-1.8-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mimepull-1.8-3.fc18
Comment 9 Fedora Update System 2012-10-24 08:37:14 EDT
mimepull-1.8-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mimepull-1.8-3.fc17
Comment 10 Fedora Update System 2012-10-24 12:17:28 EDT
mimepull-1.8-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Marek Goldmann 2013-07-04 03:29:20 EDT
Required for bug 979340.

Package Change Request
======================
Package Name: mimepull
New Branches: el6
Comment 12 Jens Petersen 2013-07-04 21:18:41 EDT
Git done (by process-git-requests).

In future please include the Owners field in a change request.
Comment 13 Gang Wei 2013-07-05 03:42:17 EDT
Package Change Request
======================
Package Name: mimepull
New Branches: el6
Owners: gwei3
InitialCC: goldmann

Fedora owner goldmann didn't respond to the request in seven days (refer to Bug 979340).
Comment 14 Marek Goldmann 2013-07-05 03:43:37 EDT
Gang, I think you missed the comment #11...
Comment 15 Gang Wei 2013-07-05 04:10:41 EDT
oh, yes. Sorry, Marek.
Comment 16 Marek Goldmann 2013-07-05 04:22:09 EDT
Clearing the flag.

Note You need to log in before you can comment on or make changes to this bug.